## net.i2p.util
Class EepGetScheduler

    java.lang.Object
      net.i2p.util.EepGetScheduler

All Implemented Interfaces:
  EepGet.StatusListener

public class EepGetScheduler
extends java.lang.Object
implements EepGet.StatusListener

Constructor Summary
`EepGetScheduler(I2PAppContext ctx, java.util.List urls, java.util.List localFiles, java.lang.String proxyHost, int proxyPort, EepGet.StatusListener lsnr)`

Method Summary
`void` `attemptFailed(java.lang.String url, long bytesTransferred, long bytesRemaining, int currentAttempt, int numRetries, java.lang.Exception cause)`
`void` `bytesTransferred(long alreadyTransferred, int currentWrite, long bytesTransferred, long bytesRemaining, java.lang.String url)`
`void` `fetch()`
`void` `fetch(boolean shouldBlock)`
`void` `headerReceived(java.lang.String url, int attemptNum, java.lang.String key, java.lang.String val)`
`void` `transferComplete(long alreadyTransferred, long bytesTransferred, long bytesRemaining, java.lang.String url, java.lang.String outputFile, boolean notModified)`
`void` `transferFailed(java.lang.String url, long bytesTransferred, long bytesRemaining, int currentAttempt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EepGetScheduler

    public EepGetScheduler(I2PAppContext ctx,
                           java.util.List urls,
                           java.util.List localFiles,
                           java.lang.String proxyHost,
                           int proxyPort,
                           EepGet.StatusListener lsnr)

Method Detail

### fetch

    public void fetch()

### fetch

    public void fetch(boolean shouldBlock)

### attemptFailed

    public void attemptFailed(java.lang.String url,
                              long bytesTransferred,
                              long bytesRemaining,
                              int currentAttempt,
                              int numRetries,
                              java.lang.Exception cause)

  Specified by:
    `attemptFailed` in interface `EepGet.StatusListener`

### bytesTransferred

    public void bytesTransferred(long alreadyTransferred,
                                 int currentWrite,
                                 long bytesTransferred,
                                 long bytesRemaining,
                                 java.lang.String url)

  Specified by:
    `bytesTransferred` in interface `EepGet.StatusListener`

### transferComplete

    public void transferComplete(long alreadyTransferred,
                                 long bytesTransferred,
                                 long bytesRemaining,
                                 java.lang.String url,
                                 java.lang.String outputFile,
                                 boolean notModified)

  Specified by:
    `transferComplete` in interface `EepGet.StatusListener`

### transferFailed

    public void transferFailed(java.lang.String url,
                               long bytesTransferred,
                               long bytesRemaining,
                               int currentAttempt)

  Specified by:
    `transferFailed` in interface `EepGet.StatusListener`

### headerReceived

    public void headerReceived(java.lang.String url,
                               int attemptNum,
                               java.lang.String key,
                               java.lang.String val)

  Specified by:
    `headerReceived` in interface `EepGet.StatusListener`